[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarArrayDimCount

Return the number of dimensions of the array.

## Declaration

Source position: variants.pp line 129

`function VarArrayDimCount(`
`const A: Variant`
`):LongInt;`

## Arguments

`A` |  | The variant to check

## Function result

Number of array dimensions or zero if not array

## Description

VarArrayDimCount returns the number of dimensions of the array A. If A is not an array, zero is returned.

## Errors

None.

## See also

VarArrayCreate |  | Create a variant array
VarArrayLowBound |  | Return lower bound of an array
VarArrayHighBound |  | Return lower bound of an array